Bug 10918 - Блокирует старт любого приложения слинкованного с librcc
: Блокирует старт любого приложения слинкованного с librcc
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/librcc)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-24 15:28 by
Modified: 2008-06-14 12:09 (History)


Attachments
~/.rcc/ (3.38 KB, application/binary)
2007-03-07 13:08, Sir Raorn
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-24 15:28:56
При изменении версии libdb, с которой собрана эта библиотека, надо в
обязательном порядке удалять пользовательские ~/.rcc/, иначе любое приложение
просто встревает без какой-либо диагностики.

Предлагаю хотя бы добавить нормер версии libdb к ~/.rcc/default.db/ чтобы
просто
создавалась новая база.
------- Comment #1 From 2007-03-07 11:43:16 -------
fixed?

* Sun Dec 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.2.3-alt3
- added librcc-0.2.3-libdb4-perms-bug8752.patch
------- Comment #2 From 2007-03-07 11:44:32 -------
И вообще -- это был дуп #8752?
------- Comment #3 From 2007-03-07 11:48:31 -------

*** This bug has been marked as a duplicate of 8752 ***
------- Comment #4 From 2007-03-07 12:53:31 -------
Нет, это не дуп #8752.  Проблема возникла именно с librcc-0.2.3-alt3 полторы
недели назад.
------- Comment #5 From 2007-03-07 12:56:34 -------
Встревали: totem, gnome-cd и неизвестно кто при старте gnome-session с отвалом
gnome-settings-daemon'а.
------- Comment #6 From 2007-03-07 12:59:25 -------
а что у тебя обновилось полторы недели назад?
------- Comment #7 From 2007-03-07 13:07:57 -------
Полторы недели назад жена села за комп после долгого перерыва.  Затрудняюсь
сказать, насколько долгого...  По косвенным данным - с 10-го октября.

В аттаче её ~/.rcc/
------- Comment #8 From 2007-03-07 13:08:49 -------
Created an attachment (id=1851) [details]
~/.rcc/
------- Comment #9 From 2007-03-07 13:09:27 -------
(In reply to comment #7)
> По косвенным данным - с 10-го октября.
Сентября.
------- Comment #10 From 2007-03-07 13:47:44 -------
Да.  Если положить приаттаченый .rcc в домашний каталог, то возникают проблемы
с
запуском гномовой сесии и не запускается, например, gnome-cd.
------- Comment #11 From 2007-03-07 19:22:35 -------
добавление версии к ~/.rcc/default.db/ не поможет

* Сбт Мар 25 2006 ALT QA Team Robot <qa-robot@> 0.2.3-alt0.5.1
- Rebuilt with libdb4.4.
------- Comment #12 From 2007-03-07 20:24:17 -------
Да, это я уже понял...

Повторить получилось?
------- Comment #13 From 2007-03-07 20:35:59 -------
да, воспроизводится 100%
------- Comment #14 From 2007-11-02 09:54:06 -------
УМВР
------- Comment #15 From 2008-02-25 09:59:44 -------
Всё ещё актуально?
------- Comment #16 From 2008-06-14 11:46:27 -------
пересобирал с libdb4.6, libdb4.7. никаких проблем
------- Comment #17 From 2008-06-14 12:09:30 -------
Ура :-)